> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Flag Expense Line Item

> Adds an info-request comment and audit entry flagging a line item for correction; status unchanged.

Not available to API keys yet. It will need `expenses:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/flag-expense-line-item
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/flag-expense-line-item:
    post:
      operationId: flagExpenseLineItem
      summary: Flag Expense Line Item
      description: >-
        Adds an info-request comment and audit entry flagging a line item for
        correction; status unchanged.


        Not available to API keys yet. It will need `expenses:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlagExpenseLineItemRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlagExpenseLineItemResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    FlagExpenseLineItemRequest:
      type: object
      properties:
        hrisExpenseID:
          type: string
          format: uuid
        flagReason:
          type: string
          minLength: 1
          maxLength: 1000
      required:
        - hrisExpenseID
        - flagReason
    FlagExpenseLineItemResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
